package clients;

import com.sun.jersey.api.client.Client;
import com.sun.jersey.api.client.UniformInterfaceException;
import com.sun.jersey.api.client.WebResource;

public class ClientInscrireCours {
    private WebResource webResource;
    private Client client;
    private static final String BASE_URI = "http://localhost:8080/ServicesEtAppWeb/api";

    public ClientInscrireCours() {
        com.sun.jersey.api.client.config.ClientConfig config = new com.sun.jersey.api.client.config.DefaultClientConfig();
        client = Client.create(config);
        webResource = client.resource(BASE_URI).path("");
    }

    public String inscrireEtudiant(String idEtudiant, String sigleCours) throws UniformInterfaceException {
        WebResource resource = webResource;
        resource = resource.path(java.text.MessageFormat.format("{0}/inscrireCours/{1}", new Object[]{idEtudiant, sigleCours}));
        return resource.accept(javax.ws.rs.core.MediaType.TEXT_XML).post(String.class);
    }

    public void close() {
        client.destroy();
    }
    
}
