package modeles;

import java.util.List;

public class Horaire {

    private List<Seance> seances;

    public Horaire(List<Seance> seances) {
        this.seances = seances;
    }
    
    public boolean isEmpty() {
        return seances.isEmpty();
    }

    @Override
    public String toString() {
        String texteHoraire = "";
        for (Seance seance : seances) {
            texteHoraire += "+ " + seance.getCours().getSigle() + ": "+seance.getTexte();
            if(seance.isLaboratoire())
                texteHoraire += " (laboratoire)";
            texteHoraire += "\n";
        }
        texteHoraire += "\n\n";
        return texteHoraire;
    }
}