package servicesREST;

import javax.ws.rs.Path;
import javax.ws.rs.POST;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import outils.PersistenceDonees;
import modeles.ResultatValidation;

@Path("/{idEtudiant}/inscrireCours/{sigleCours}")
public class ServiceInscriptionCours {

    @POST
    @Produces("text/xml")
    public String inscrireEtudiant(@PathParam("idEtudiant") String idEtudiant, @PathParam("sigleCours") String sigleCours) {
        PersistenceDonees gp = PersistenceDonees.getInstance();
        ResultatValidation resultatValidation = gp.inscrireCours(idEtudiant, sigleCours);
        return resultatValidation.toXml();
    }
}