package servicesREST;

import javax.ws.rs.Path;
import javax.ws.rs.GET;
import javax.ws.rs.Produces;
import outils.FormateurMapCours;
import outils.PersistenceDonees;

@Path("/listeCours")
public class ServiceListeCours {
    
    @GET
    @Produces("text/html; charset=UTF-8")
    public String listeCoursHtml() {
        PersistenceDonees gp = PersistenceDonees.getInstance();
        return FormateurMapCours.toHtml(gp.coursTrimestreCourant());
    }
    
    @GET
    @Produces("text/xml")
    public String listeCoursXml() {
        PersistenceDonees gp = PersistenceDonees.getInstance();
        return FormateurMapCours.toXml(gp.coursTrimestreCourant());
    }

}