package clients;

import com.sun.jersey.api.client.Client;
import com.sun.jersey.api.client.UniformInterfaceException;
import com.sun.jersey.api.client.WebResource;

public class ClientHoraireEtudiant {
    private WebResource webResource;
    private Client client;
    private static final String BASE_URI = "http://localhost:8080/ServicesEtAppWeb/api";

    public ClientHoraireEtudiant() {
        com.sun.jersey.api.client.config.ClientConfig config = new com.sun.jersey.api.client.config.DefaultClientConfig();
        client = Client.create(config);
        webResource = client.resource(BASE_URI).path("");
    }

    public String horaireEtudiantXml(String idEtudiant) throws UniformInterfaceException {
        WebResource resource = webResource;
        resource = resource.path(java.text.MessageFormat.format("{0}/horaire", new Object[]{idEtudiant}));
        return resource.accept(javax.ws.rs.core.MediaType.TEXT_XML).get(String.class);
    }

    public String horaireEtudiantHtml(String idEtudiant) throws UniformInterfaceException {
        WebResource resource = webResource;
        resource = resource.path(java.text.MessageFormat.format("{0}/horaire", new Object[]{idEtudiant}));
        return resource.accept(javax.ws.rs.core.MediaType.TEXT_HTML).get(String.class);
    }

    public void close() {
        client.destroy();
    }
    
}
