package controleurs;

import clients.ClientHoraireEtudiant;
import modeles.Horaire;
import outils.Deserialisation;

public class ControleurHoraireEtudiant {

    public static void handleHoraireEtudiant(String idEtudiant) {
        ClientHoraireEtudiant clientHoraireEtudiant = new ClientHoraireEtudiant();
        String xmlHoraire = clientHoraireEtudiant.horaireEtudiantXml(idEtudiant);
        clientHoraireEtudiant.close();
        try {
            Horaire horaireEtudiant = Deserialisation.construireHoraire(xmlHoraire);
            if(horaireEtudiant.isEmpty())
                System.out.println("Encore pas des course inscrits");
            else
                System.out.println(horaireEtudiant);
        } catch (Exception ex) {
            System.out.println(ex.getMessage());
        }
    }
}