package controleurs;

import clients.ClientInscrireCours;
import modeles.ResultatInscription;
import outils.Deserialisation;

public class ControleurInscrireCours {

    public static void handleInscrireCours(String idEtudiant, String idCours) {
        ClientInscrireCours clientInscrireCours = new ClientInscrireCours();
        String xmlResultatInscription = clientInscrireCours.inscrireEtudiant(idEtudiant, idCours);
        clientInscrireCours.close();
        ResultatInscription resultatInscription = Deserialisation.construireResultatInscription(xmlResultatInscription);
        System.out.println(resultatInscription);
    }
}