package executables;

import controleurs.ControleurHoraireEtudiant;
import controleurs.ControleurInscrireCours;
import controleurs.ControleurListeCours;

public class Principale {

    // Source: Julio Sanchez, Maria P. Canton
    // http://www.java2s.com/Code/Java/Development-Class/Javaprogramtodemonstratemenuselection.htm
    public static void main(String[] args) {
        boolean sortir = false;
        int reponseOptionMenu;
        while (sortir == false) {
            System.out.println("==============================================");
            System.out.println("|             REGISTRARIAT                   |");
            System.out.println("==============================================");
            System.out.println("| Options:                                   |");
            System.out.println("|        1. Afficher liste cours             |");
            System.out.println("|        2. Consulter horaire d'un étudiant  |");
            System.out.println("|        3. Inscrire un cours                |");
            System.out.println("|        4. Sortir                           |");
            System.out.println("==============================================");
            reponseOptionMenu = Keyin.inInt(" Quel est votre choix?: ");
            switch (reponseOptionMenu) {
                case 1:
                    ControleurListeCours.handleListeCours();
                    break;
                case 2:
                    String reponseIdEtudiant = Keyin.inString("Quel est l'id de l'étudiant?: ");
                    System.out.println("");
                    ControleurHoraireEtudiant.handleHoraireEtudiant(reponseIdEtudiant);
                    break;
                case 3:
                    reponseIdEtudiant = Keyin.inString("Quel est l'id de l'étudiant?: ");
                    String reponseSigleCours = Keyin.inString("Quel est le sigle du cours?: ");
                    System.out.println("");
                    ControleurInscrireCours.handleInscrireCours(reponseIdEtudiant, reponseSigleCours);
                    break;
                case 4:
                    System.out.println("\nÀ la prochaine!");
                    sortir = true;
                    return;
                default:
                    System.out.println("Choix n'existe pas");
                    break;
            }
        }
    }
}