package modeles;

import java.util.ArrayList;
import java.util.List;

public class Etudiant {

    public String id;
    public List<Cours> coursSuivis;
    public List<Cours> coursInscrits;

    public Etudiant() {
        coursSuivis = new ArrayList<Cours>();
        coursInscrits = new ArrayList<Cours>();
    }

    public List<Cours> getCoursSuivis() {
        return coursSuivis;
    }

    public List<Cours> getCoursInscrits() {
        return coursInscrits;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    
    public void addCoursSuivi(Cours cours) {
        coursSuivis.add(cours);
    }
    
    public void addCoursInscrit(Cours cours) {
        coursInscrits.add(cours);
    }
    
    public boolean aSuivi(String sigleCours) {
        for(Cours cours: coursSuivis) {
            if(cours.getSigle().equals(sigleCours))
                return true;
        }
        return false;
    }
    
    public boolean aInscrit(String sigleCours) {
        for(Cours cours: coursInscrits) {
            if(cours.getSigle().equals(sigleCours))
                return true;
        }
        return false;
    }
    
}
