package modeles;

public class ResultatValidation {

    private boolean valide;
    private String message;

    public ResultatValidation(boolean valide) {
        this.valide = valide;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isValide() {
        return valide;
    }

    public void setValide(boolean valide) {
        this.valide = valide;
    }

    public String toXml() {
        String xmlResultat = "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>";
        xmlResultat += "<resultat>";
        xmlResultat += "<succes>" + valide + "</succes>";
        if (valide == false) {
            xmlResultat += "<message>" + message + "</message>";
        }
        xmlResultat += "</resultat>";
        return xmlResultat;
    }
}
